package tv.ouya.console.internal;

import android.os.Binder;
import android.os.Bundle;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import java.util.List;
import tv.ouya.console.api.store.AppDescription;

public abstract interface IAppDescriptionListListener
  extends IInterface
{
  public abstract void onCancel()
    throws RemoteException;
  
  public abstract void onFailure(int paramInt, String paramString, Bundle paramBundle)
    throws RemoteException;
  
  public abstract void onSuccess(List<AppDescription> paramList)
    throws RemoteException;
  
  public static abstract class Stub
    extends Binder
    implements IAppDescriptionListListener
  {
    private static final String DESCRIPTOR = "tv.ouya.console.internal.IAppDescriptionListListener";
    static final int TRANSACTION_onCancel = 3;
    static final int TRANSACTION_onFailure = 2;
    static final int TRANSACTION_onSuccess = 1;
    
    public Stub()
    {
      attachInterface(this, "tv.ouya.console.internal.IAppDescriptionListListener");
    }
    
    public static IAppDescriptionListListener asInterface(IBinder paramIBinder)
    {
      if (paramIBinder == null) {
        return null;
      }
      IInterface localIInterface = paramIBinder.queryLocalInterface("tv.ouya.console.internal.IAppDescriptionListListener");
      if ((localIInterface != null) && ((localIInterface instanceof IAppDescriptionListListener))) {
        return (IAppDescriptionListListener)localIInterface;
      }
      return new Proxy(paramIBinder);
    }
    
    public IBinder asBinder()
    {
      return this;
    }
    
    public boolean onTransact(int paramInt1, Parcel paramParcel1, Parcel paramParcel2, int paramInt2)
      throws RemoteException
    {
      switch (paramInt1)
      {
      default: 
        return super.onTransact(paramInt1, paramParcel1, paramParcel2, paramInt2);
      case 1598968902: 
        paramParcel2.writeString("tv.ouya.console.internal.IAppDescriptionListListener");
        return true;
      case 1: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IAppDescriptionListListener");
        onSuccess(paramParcel1.createTypedArrayList(AppDescription.CREATOR));
        paramParcel2.writeNoException();
        return true;
      case 2: 
        paramParcel1.enforceInterface("tv.ouya.console.internal.IAppDescriptionListListener");
        paramInt1 = paramParcel1.readInt();
        paramParcel1 = paramParcel1.readString();
        Bundle localBundle = new Bundle();
        onFailure(paramInt1, paramParcel1, localBundle);
        paramParcel2.writeNoException();
        if (localBundle != null)
        {
          paramParcel2.writeInt(1);
          localBundle.writeToParcel(paramParcel2, 1);
          return true;
        }
        paramParcel2.writeInt(0);
        return true;
      }
      paramParcel1.enforceInterface("tv.ouya.console.internal.IAppDescriptionListListener");
      onCancel();
      paramParcel2.writeNoException();
      return true;
    }
    
    private static class Proxy
      implements IAppDescriptionListListener
    {
      private IBinder mRemote;
      
      Proxy(IBinder paramIBinder)
      {
        this.mRemote = paramIBinder;
      }
      
      public IBinder asBinder()
      {
        return this.mRemote;
      }
      
      public String getInterfaceDescriptor()
      {
        return "tv.ouya.console.internal.IAppDescriptionListListener";
      }
      
      public void onCancel()
        throws RemoteException
      {
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        try
        {
          localParcel1.writeInterfaceToken("tv.ouya.console.internal.IAppDescriptionListListener");
          this.mRemote.transact(3, localParcel1, localParcel2, 0);
          localParcel2.readException();
          return;
        }
        finally
        {
          localParcel2.recycle();
          localParcel1.recycle();
        }
      }
      
      public void onFailure(int paramInt, String paramString, Bundle paramBundle)
        throws RemoteException
      {
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        try
        {
          localParcel1.writeInterfaceToken("tv.ouya.console.internal.IAppDescriptionListListener");
          localParcel1.writeInt(paramInt);
          localParcel1.writeString(paramString);
          this.mRemote.transact(2, localParcel1, localParcel2, 0);
          localParcel2.readException();
          if (localParcel2.readInt() != 0) {
            paramBundle.readFromParcel(localParcel2);
          }
          return;
        }
        finally
        {
          localParcel2.recycle();
          localParcel1.recycle();
        }
      }
      
      public void onSuccess(List<AppDescription> paramList)
        throws RemoteException
      {
        Parcel localParcel1 = Parcel.obtain();
        Parcel localParcel2 = Parcel.obtain();
        try
        {
          localParcel1.writeInterfaceToken("tv.ouya.console.internal.IAppDescriptionListListener");
          localParcel1.writeTypedList(paramList);
          this.mRemote.transact(1, localParcel1, localParcel2, 0);
          localParcel2.readException();
          return;
        }
        finally
        {
          localParcel2.recycle();
          localParcel1.recycle();
        }
      }
    }
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/IAppDescriptionListListener.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */